# 
FROM fcarella/fedora-base:36

# install c++ devel for netbeans c++
# microdnf does not support group installs, so install manually
# find packages to install
#   $  dnf group info "C Development Tools and Libraries" "Development Tools"

# install manually
#
# C Development Tools and Libraries
# Mandatory Packages:
RUN microdnf -y update && microdnf -y install   autoconf   automake   binutils   bison   flex   gcc   gcc-c++   gdb   glibc-devel   libtool   make   pkgconf   strace
#  Default Packages:
RUN microdnf -y update && microdnf -y install    byacc    ccache    cscope    ctags    elfutils    indent    ltrace    perf    valgrind
#  Optional Packages:
RUN microdnf -y update && microdnf -y install    ElectricFence    astyle    cbmc    check    cmake cmake-gui   coan    cproto    insight    nasm    pscan    python3-scons    remake    scorep    splint    yasm    zzuf
# Group: Development Tools
#  Description: These tools include general development tools such as git and CVS.
#  Mandatory Packages:
RUN microdnf -y update && microdnf -y install    gettext
#  Default Packages:
RUN microdnf -y update && microdnf -y install    diffstat    doxygen    git    patch    patchutils    subversion    systemtap
#  Optional Packages:
RUN microdnf -y update && microdnf -y install    buildbot    colordiff    cvs  cvsps    darcs    dejagnu    expect    gambas3-ide    git-annex    git-cola    git2cl    gitg    gtranslator    highlight    lcov    manedit    meld    monotone    myrepos    nemiver    qgit    quilt    rapidsvn    rcs    robodoc    scanmem    subunit    svn2cl    tig    tkcvs    tortoisehg    translate-toolkit    utrac
RUN microdnf -y update && microdnf -y  install boost-devel
